Peplink Portal Docs
Starlink Addresses

Create a Starlink Address

Creates a Starlink address for a Starlink account.

Required Capabilities

Starlink Manager

Request

POST/starlink/addresses

Body parameters

starlinkAccountRefIdstringrequired

Reference ID of the Starlink account to create the address for.

placeIdstringrequired

Google Place ID of the address to create.

Response

200 Address is created

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the address.

starlinkAccountRefIdstring

Reference ID of the Starlink account the address belongs to.

linesstring array

Address lines.

administrativeAreaCodestring

Administrative area code of the address.

regionCodestring

Region code of the address.

latitudenumber

Latitude coordinate of the address.

longitudenumber

Longitude coordinate of the address.

formattedAddressstring

Formatted address string.

starlinkReferenceIdnullable string

Starlink reference ID of the address. null if not applicable.

starlinkSyncobject

Starlink sync information of the address.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the address. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the address sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the address sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the address was synced. null if not applicable.

createdAtdatetime string

Date and time the address was created.

createdBystring

Username of the user who created the address.

createdByEmailnullable string

Email of the user who created the address. null if not applicable.

updatedAtdatetime string

Date and time the address was last updated.

updatedBystring

Username of the user who last updated the address.

updatedByEmailnullable string

Email of the user who last updated the address. null if not applicable.

400 Request is invalid

No address can be created as the request is invalid.

Check the response body for the error details.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/addresses' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{  "starlinkAccountRefId": "108",  "placeId": "ChIJQ9b_zXquEmsRY6cF2rm2v0M"}'

Response

{
  "refId": "201",
  "starlinkAccountRefId": "108",
  "lines": ["123 Main St", "Suite 400"],
  "administrativeAreaCode": "CA",
  "regionCode": "US-CA",
  "latitude": 37.7749,
  "longitude": -122.4194,
  "formattedAddress": "123 Main St, Suite 400, San Francisco, CA 94105, US",
  "starlinkReferenceId": null,
  "starlinkSync": {
    "syncStatus": "SYNCED",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": "2026-03-11T04:46:05.089Z"
  },
  "createdAt": "2026-03-10T03:21:39.900Z",
  "createdBy": "Jane Doe",
  "createdByEmail": "[email protected]",
  "updatedAt": "2026-03-10T03:21:48.086Z",
  "updatedBy": "System",
  "updatedByEmail": null
}

On this page